#! /usr/bin/env python

# set up parameters that we care about
PACKAGE = 'pcl_ros'

import roslib; roslib.load_manifest (PACKAGE);
from dynamic_reconfigure.parameter_generator import *;

def add_common_parameters (gen):
  # add (self, name, paramtype, level, description, default = None, min = None, max = None, edit_method = "")
  gen.add ("max_iterations", int_t, 0, "The maximum number of iterations the algorithm will run for", 50, 0, 100000)
  gen.add ("probability", double_t, 0, "The desired probability of choosing at least one sample free from outliers", 0.99, 0.5, 0.99)
  gen.add ("distance_threshold", double_t, 0, "The distance to model threshold", 0.02, 0, 1.0)
  gen.add ("optimize_coefficients", bool_t, 0, "Model coefficient refinement", True)
  gen.add ("radius_min", double_t, 0, "The minimum allowed model radius (where applicable)", 0.0, 0, 1.0)
  gen.add ("radius_max", double_t, 0, "The maximum allowed model radius (where applicable)", 0.05, 0, 1.0)

